Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Interface OpenMBeanAttributeInfo

All Superinterfaces:
  OpenMBeanParameterInfo

All Known Implementing Classes:
  OpenMBeanAttributeInfoSupport

public interface OpenMBeanAttributeInfo
extends OpenMBeanParameterInfo

An open MBean attribute info implements this interface as well as extending MBeanAttributeInfo.

`OpenMBeanAttributeInfoSupport` is an example of such a class.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock.

Method Summary
`boolean` | `equals(Object obj)` Compares an object for equality with the implementing class.
`int` | `hashCode()` Generates a hashcode for the implementation.
`boolean` | `isIs()` Test whether an attribute is accessed through an isXXX getter.
`boolean` | `isReadable()` Test whether an attribute is readable.
`boolean` | `isWritable()` Test whether an attribute is writable.
`String` | `toString()` A string representation of the open mbean parameter info.

Methods inherited from interface javax.management.openmbean.OpenMBeanParameterInfo
`getDefaultValue, getDescription, getLegalValues, getMaxValue, getMinValue, getName, getOpenType, hasDefaultValue, hasLegalValues, hasMaxValue, hasMinValue, isValue`

Method Detail

### isReadable

    public boolean isReadable()

  Test whether an attribute is readable.

  Returns:
    true when the attribute is readable or false otherwise

### isWritable

    public boolean isWritable()

  Test whether an attribute is writable.

  Returns:
    true when the attribute is writable or false otherwise

### isIs

    public boolean isIs()

  Test whether an attribute is accessed through an isXXX getter.

  Returns:
    the result of the above test

### equals

    public boolean equals(Object obj)

  Compares an object for equality with the implementing class.

  The object is not null
  The object implements the open mbean parameter info interface
  The parameter names are equal
  The open types are equal
  The access properties are the same
  The default, min, max and legal values are equal

  Specified by:
    `equals` in interface `OpenMBeanParameterInfo`
  Parameters:
    `obj` - the object to test
  Returns:
    true when above is true, false otherwise

### hashCode

    public int hashCode()

  Generates a hashcode for the implementation.

  The sum of the hashCodes for the elements mentioned in the equals method

  Specified by:
    `hashCode` in interface `OpenMBeanParameterInfo`
  Returns:
    the calculated hashcode

### toString

    public String toString()

  A string representation of the open mbean parameter info.

  It is made up of implementation class and the values mentioned in the equals method

  Specified by:
    `toString` in interface `OpenMBeanParameterInfo`
  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.